# Gimp.ColorProfile.get_icc_profile

    @accepts(Gimp.ColorProfile, gsize)
    @returns([guint8])
    def get_icc_profile(self, length):
        # Python wrapper for gimp_color_profile_get_icc_profile()

This function returns self as ICC profile data. The returned memory belongs to self and must not be modified or freed.

Since 2.10

self

  a Gimp.ColorProfile

length

  return location for the number of bytes

Returns